package com.persagy.adm.diagram.core.model.logic;

import com.google.gson.annotations.Expose;

/**
 * 容器的动态组配置
 * @author zhaoyk
 */
public class DynGroup {

	/**
	 * 动态源(floor | building | mainPipe.id | container.id)
	 */
	@Expose
	private String dynSource;

	/**
	 * 动态源类型，可选值: data | group | mainPipe | container
	 */
	@Expose
	private String dynSourceType;

	/**
	 * 分组标签的位置, top | bottom | left | right
	 */
	@Expose
	private String labelPosition;

	public String getDynSource() {
		return dynSource;
	}

	public void setDynSource(String dynSource) {
		this.dynSource = dynSource;
	}

	public String getDynSourceType() {
		return dynSourceType;
	}

	public void setDynSourceType(String dynSourceType) {
		this.dynSourceType = dynSourceType;
	}

	public String getLabelPosition() {
		return labelPosition;
	}

	public void setLabelPosition(String labelPosition) {
		this.labelPosition = labelPosition;
	}

}
